Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class PreUpdateEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.AbstractPreDatabaseOperationEvent
              org.hibernate.event.spi.PreUpdateEvent

All Implemented Interfaces:
  Serializable

    public class PreUpdateEvent

extends AbstractPreDatabaseOperationEvent

Represents a `pre-update` event, which occurs just prior to performing the update of an entity in the database.

See Also:
  Serialized Form

Constructor Summary
`PreUpdateEvent(Object entity, Serializable id, Object[] state, Object[] oldState, EntityPersister persister, EventSource source)` Constructs an event containing the pertinent information.

Method Summary
`Object[]` | `getOldState()` The old state of the entity at the time it was last loaded from the database; can be null in the case of detached entities.
`Object[]` | `getState()` Retrieves the state to be used in the update.

Methods inherited from class org.hibernate.event.spi.AbstractPreDatabaseOperationEvent
`getEntity, getId, getPersister, getSource`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreUpdateEvent

    public PreUpdateEvent(Object entity,
                          Serializable id,
                          Object[] state,
                          Object[] oldState,
                          EntityPersister persister,
                          EventSource source)

  Constructs an event containing the pertinent information.

  Parameters:
    `entity` - The entity to be updated.
    `id` - The id of the entity to use for updating.
    `state` - The state to be updated.
    `oldState` - The state of the entity at the time it was loaded from the database.
    `persister` - The entity's persister.
    `source` - The session from which the event originated.

Method Detail

### getState

    public Object[] getState()

  Retrieves the state to be used in the update.

  Returns:
    The current state.

### getOldState

    public Object[] getOldState()

  The old state of the entity at the time it was last loaded from the database; can be null in the case of detached entities.

  Returns:
    The loaded state, or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.